#
# Cookbook Name:: cyclecloud
# Recipe:: _firewalld
#
# Copyright 2024, CycleComputing LLC
#
# All rights reserved - Do Not Redistribute
#

# Connection info is not available unless set explicitly in spec tests
if node['cyclecloud']['config']['web_server'].nil?
  return
end

cyclecloud_port = URI.parse(node['cyclecloud']['config']['web_server']).port

execute "firewalld_reload" do
  command "firewall-cmd --reload"
  action :nothing
end

# Open the return proxy port for gateway (would be nice to check if this node is ReturnProxy)
execute "firewalld : Open return proxy port #{cyclecloud_port}" do
  command "firewall-cmd --zone=public --add-port=#{cyclecloud_port}/tcp --permanent"
  only_if { node['os'] == 'linux' }
  only_if "systemctl is-active --quiet firewalld"
  notifies :run, 'execute[firewalld_reload]', :immediately
end


